Create an event
POST /api/events. Create an event. Headless LMS Events API reference.
Requires events:write. The event starts as a draft. 400 when it ends before it starts.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/events" \ -H "Content-Type: application/json" \ -d '{ "title": "string", "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "timeZone": "string" }'{ "orgId": "string", "id": "string", "type": "event", "title": "string", "description": "string", "thumbnailAssetId": "string", "status": "draft", "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "timeZone": "string", "location": { "venue": { "name": "string", "address": { "line1": "string", "line2": "string", "city": "string", "region": "string", "postalCode": "string", "country": "string" } }, "online": { "url": "http://example.com", "details": "string" } }, "recording": { "url": "http://example.com", "details": "string" }, "settings": { "type": "public", "capacity": 1, "notifications": true, "replay": true }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "thumbnailUrl": "string"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}